package org.jeecg.modules.stm.baosong.service.impl;

import org.jeecg.modules.stm.baosong.entity.BaosongTask;
import org.jeecg.modules.stm.baosong.mapper.BaosongTaskMapper;
import org.jeecg.modules.stm.baosong.service.IBaosongTaskService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 任务表
 * @Author: jeecg-boot
 * @Date:   2024-12-17
 * @Version: V1.0
 */
@Service
public class BaosongTaskServiceImpl extends ServiceImpl<BaosongTaskMapper, BaosongTask> implements IBaosongTaskService {
    @Override
    public void updateTaskSta(Integer sta,Integer taskId) {
        BaosongTask baosongTask = new BaosongTask();
        baosongTask.setSta(sta);
        baosongTask.setId(taskId);
        this.updateById(baosongTask);
    }
}
